%define 	module	pyPgSQL

Summary:	Python DB-API 2.0 PostgreSQL module
Summary(pl.UTF-8):	Moduł PostgreSQL dla Pythona zgodny z DB-API 2.0
Name:		python-%{module}
Version:	2.5.1
Release:	4
License:	GPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pypgsql/%{module}-%{version}.tar.gz
# Source0-md5:	82670f6f1652aa4766fdaec2cb43debd
URL:		http://pypgsql.sourceforge.net/
BuildRequires:	postgresql-devel >= 7.0
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
Requires:	postgresql-libs
%pyrequires_eq	python-modules
Requires:	python-mx-DateTime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyPgSQL is a package of two modules that provide a Python DB-API 2.0
compliant interface to PostgreSQL databases. The first module, libpq,
exports the PostgreSQL C API to Python. This module is written in C
and can be compiled into Python or can be dynamically loaded on
demand. The second module, PgSQL, provides the DB-API 2.0 compliant
interface and support for various PostgreSQL data types, such as INT8,
NUMERIC, MONEY, BOOL, ARRAYS, etc. This module is written in Python.

%description -l pl.UTF-8
pyPgSQL to pakiet dwóch modułów dostarczających zgodny z Python DB-API
2.0 interfejs do baz danych PostgreSQL. Pierwszy moduł, libpq,
eksportuje API C PostgreSQL-a do Pythona. Ten moduł jest napisany w C
i może być wkompilowany w Pythona lub ładowany dynamicznie na
żądanie. Drugi moduł, PgSQL, dostarcza zgodny z DB-API 2.0 interfejs
oraz wsparcie dla różnych typów danych PostgreSQL-a, takich jak INT8,
NUMERIC, MONEY, BOOL, ARRAYS itp. Ten moduł jest napisany w Pythonie.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

find $RPM_BUILD_ROOT%{py_sitedir} -type f -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Announce ChangeLog README examples/*.py
%{py_sitedir}/*.egg-info
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/libpq
%{py_sitedir}/%{module}/libpq/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/libpq/*.so
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyPgSQL.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 34801bd
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f1eff4c
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d1e3f57
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f5b83d
- release 2

* Tue Sep 04 2007 Jakub Bogusz <qboosh@pld-linux.org> fed12d3
- python 2.5 for .egg-info
- BR: rpm-pythonprov

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> 04d028f
- up to 2.5.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 69f3dc8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3723ca2
- converted to UTF-8

* Wed Dec 20 2006 hawk <hawk@pld-linux.org> 3ac9809
- release 3 to rebuild with PostgreSQL 8.2

* Fri Dec 24 2004 Michal Chruszcz <mchruszcz@gmail.com> 4cdc913
- rel 2 to rebuild with Python 2.4

* Mon Jul 12 2004 Michal Chruszcz <mchruszcz@gmail.com> 9d75588
- fixed BRs
- s/python/%%{__python}/
- description cosmetics
- release 1

* Wed May 26 2004 ankry <ankry@pld-linux.org> 40b1cf4
- capitalization, tabs, other cosmetics

* Fri Mar 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 3df4589
- pl, longer description from URL

* Fri Mar 12 2004 wrobell <wrobell@pld-linux.org> 813e05b
- based on python-psycopg

